--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/reservations/{id} ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/reservations/{id}": { "get": { "tags": [ "Reservation" ], "operationId": "getPublicReservation", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ReservationResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ReservationResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ReservationResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "CustomFieldValueResponse": { "type": "object", "properties": { "name": { "type": "string" }, "label": { "type": "string" }, "type": { "type": "string" }, "value": { "nullable": true } }, "additionalProperties": false }, "CustomerLocationType": { "enum": [ 0, 1, 2, 3, 4, 5 ], "type": "integer", "format": "int32", "x-enumNames": [ "Home", "Work", "RestHouse", "FriendsPlace", "Other", "Current" ] }, "CustomerLocationValueObject": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "longitude": { "type": "number", "format": "double" }, "latitude": { "type": "number", "format": "double" }, "description": { "type": "string", "nullable": true }, "type": { "$ref": "#/components/schemas/CustomerLocationType" } }, "additionalProperties": false }, "ReservationProductType": { "enum": [ 1, 2, 3 ], "type": "integer", "format": "int32", "x-enumNames": [ "Normal", "Online", "Night" ] }, "ReservationProviderDto": { "type": "object", "properties": { "name": { "type": "string", "nullable": true }, "id": { "type": "string", "format": "uuid" }, "isDeleted": { "type": "boolean" } }, "additionalProperties": false }, "ReservationResponse": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "startAt": { "type": "string", "format": "date-time" }, "endAt": { "type": "string", "format": "date-time" }, "status": { "$ref": "#/components/schemas/ReservationStatus" }, "customStatus": { "type": "string", "nullable": true }, "customerName": { "type": "string", "nullable": true }, "customerMobile": { "type": "string", "nullable": true }, "customerId": { "type": "string", "format": "uuid" }, "creationTime": { "type": "string", "format": "date-time" }, "reservationNumber": { "type": "integer", "format": "int32" }, "productName": { "type": "string" }, "priceName": { "type": "string" }, "priceImmutableId": { "type": "string", "format": "uuid" }, "orderId": { "type": "string", "format": "uuid", "nullable": true }, "productPriceName": { "type": "string" }, "customerNotes": { "type": "string", "nullable": true }, "providers": { "type": "array", "items": { "$ref": "#/components/schemas/ReservationProviderDto" } }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/CustomFieldValueResponse" }, "nullable": true }, "quantity": { "type": "number", "format": "double" }, "cancellationReason": { "type": "string", "nullable": true }, "orderTotalAmount": { "type": "number", "format": "double" }, "orderPaymentStatusString": { "type": "string", "nullable": true }, "reservationTotalAmount": { "type": "number", "format": "double", "nullable": true }, "remainingAmount": { "type": "number", "format": "double", "nullable": true }, "branchId": { "type": "string", "format": "uuid" }, "branchName": { "type": "string", "nullable": true }, "customerLocation": { "$ref": "#/components/schemas/CustomerLocationValueObject" }, "attachmentsList": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "meetingUrl": { "type": "string", "nullable": true }, "reservationProductType": { "$ref": "#/components/schemas/ReservationProductType" }, "presetValues": { "type": "object", "additionalProperties": { "type": "string" }, "nullable": true }, "source": { "type": "string", "nullable": true }, "isZeroPrice": { "type": "boolean" }, "isWalkInCustomer": { "type": "boolean" }, "paymentLink": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ReservationStatus": { "enum": [ 1, 2, 3, 4, 5 ], "type": "integer", "format": "int32", "x-enumNames": [ "Pending", "Confirmed", "Cancelled", "Done", "RequestToCancel" ] } } } } ```